Bug 4744 - logrotate is too old to recognize "missingok"
logrotate is too old to recognize "missingok"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-27 09:15 EDT by Ion Badulescu
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-16 07:41:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ion Badulescu 1999-08-27 09:15:21 EDT
A few logrotate scripts, notably samba's and cron's (from
the latest update), use the "missingok" keyword. It works
with logrotate 3.2 (from RH6), but not with logrotate 2.6
(from RH52) which generates error messages every night --
and of course does not rotate the logs.

Probably the easiest fix is to update logrotate on all
supported RH versions.
Comment 1 Preston Brown 1999-09-01 10:26:59 EDT
Jeff: we fixed this for cron, are we going to fix it for samba?
Comment 2 Alec Voropay 1999-11-21 07:16:59 EST
You could build new logrotate from
ftp://rawhide.redhat.com/rawhide/SRPMS/SRPMS/logrotate*

It should be compiled on ANY RedHat systems.

On my RedHat 5.2 i386 I got only one warning,
but logrotate works OK.

...
cc -Wall -D_GNU_SOURCE -DVERSION=\"3.3\" -O2 -m486
 -fno-strength-reduce   -c logrotate.c -o logrotate.o
logrotate.c: In function `main':
logrotate.c:835: warning: assignment from incompatible pointer type
...
Comment 3 Pekka Savola 2000-03-18 03:53:59 EST
Please note, that popt package in Redhat 5.2 (1.1.1-2) is too old for newer
logrotates -- rebuilding logrotate-3.3.2 for instance fails horribly.

After upgrading popt to the newest rawhide version, I only got that one error
message.

You might want to put some version number in logrotate's SPEC file.
Like Requires: popt >= 1.3, I don't know the exact version where it began to
work.

Note You need to log in before you can comment on or make changes to this bug.